Support » Plugin: Quantities and Units for WooCommerce » new wordpress compatibility

  • Hi all!
    Has anybody update to the last Woocommerce versión, while using this plugin? It says ‘unknown compatibility’, and i’m not updating yet because of that!

    Any brave user here??

    thanks!

Viewing 1 replies (of 1 total)
  • I have used it with ‘above-compatible’ versions but not with the latest latest.
    The solution I found was to push filters last, since it seems it was being formatted before Woocommerce finished doing its stuff.

    This is inside includes/class-wcqu-filters.php:

    class WC_Quantities_and_Units_Filters {
    		
    	public function __construct() {
    		
    		// Bumped priority to 100 to fix issues
    
    		// Cart input box variable filters
    		add_filter( 'woocommerce_quantity_input_min', array( $this, 'input_min_value' ), 100, 2);
    		add_filter( 'woocommerce_quantity_input_max', array( $this, 'input_max_value' ), 100, 2);
    		add_filter( 'woocommerce_quantity_input_step', array( $this, 'input_step_value' ), 100, 2);
    		
    		// Product input box argument filter
    		add_filter( 'woocommerce_quantity_input_args', array( $this, 'input_set_all_values' ), 100, 2 );
    
    		add_filter( 'woocommerce_loop_add_to_cart_args', array( $this, 'woocommerce_loop_add_to_cart_args' ), 100, 2 );
    	}

    This worked for me, but of course, make a backup before trying.

Viewing 1 replies (of 1 total)
  • The topic ‘new wordpress compatibility’ is closed to new replies.